Name: urpmi-proxy
Version: 0.3.2
Release: %mkrel 1
Summary: A proxy for urpmi repository mirrors
Group: System/Configuration/Packaging
License: GPLv2+
Source: %{name}-%{version}.tar.bz2
URL: https://wiki.mageia.org/en/Urpmi-proxy

BuildArch: noarch
Requires: apache
Suggests: perl(WWW::Curl::Easy)
Suggests: perl(urpm)
Suggests: perl(urpm::cfg)
Suggests: genhdlist2

%description
urpmi-proxy is an http proxy for urpmi, it allows clients to configure this
proxy as a local mirror. It fetches from configurable sources and stores it
in a local cache, during the request. You can also configure it to have an
extra repository so you can provide extra or modified packages.

%files
%doc README AUTHORS TODO INSTALL LICENSE README.install.urpmi
%attr(0750,apache,apache) %dir %{_var}/cache/urpmi-proxy
%attr(0750,apache,apache) %config(noreplace) %{_var}/log/urpmi-proxy.log
%attr(0750,root,apache) %dir %{_datadir}/urpmi-proxy
%attr(0750,root,apache) %{_datadir}/urpmi-proxy/cgi-bin/urpmi-proxy.cgi
%attr(0750,root,apache) %config(noreplace) %{_sysconfdir}/urpmi-proxy.conf
%config(noreplace) %{_webappconfdir}/urpmi-proxy.conf

#--------------------------------------------------------------------

%prep
%setup -q

%build

cat > README.install.urpmi <<EOF

NOTE: urpmi-proxy functions as an apache webapp, so apache service will have
to be started for urpmi-proxy to work, if apache is now installed as a
dependency, chances are high that it's not yet running, even though it's
installed. you can start apache with:

   /etc/init.d/httpd start

EOF

%install
rm -fr %{buildroot}
%{__mkdir_p} %{buildroot}%{_var}/cache/urpmi-proxy
%{__mkdir_p} %{buildroot}%{_datadir}/urpmi-proxy/cgi-bin
%{__cp} urpmi-proxy.cgi %{buildroot}%{_datadir}/urpmi-proxy/cgi-bin/
%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__cp} urpmi-proxy.conf %{buildroot}%{_sysconfdir}/
%{__mkdir_p} %{buildroot}%{_webappconfdir}
%{__cp} apache.conf %{buildroot}%{_webappconfdir}/urpmi-proxy.conf
%{__mkdir_p} %{buildroot}%{_var}/log
touch %{buildroot}%{_var}/log/urpmi-proxy.log



%changelog

* Wed Mar 21 2012 alien <alien> 0.3.2-1.mga2
+ Revision: 225354
- update to new release 0.3.2

* Sun Mar 04 2012 alien <alien> 0.3.1-2.mga2
+ Revision: 217950
- Add the URL

* Tue Feb 28 2012 alien <alien> 0.3.1-1.mga2
+ Revision: 215787
- Update to version 0.3.1
- Improved logging
- Implemented UNMODIFIED

* Mon Dec 05 2011 alien <alien> 0.2.4-3.mga2
+ Revision: 177112
- change README.urpmi into README.install.urpmi, no need to have it on every update

* Mon Dec 05 2011 alien <alien> 0.2.4-2.mga2
+ Revision: 177078
- Add README.urpmi to note that apache needs to be running

* Sat Oct 01 2011 alien <alien> 0.2.4-1.mga2
+ Revision: 150647
- Remove tmp directory
- Upgrade to version 0.2.4 (warning handling,fix wrong defaults,fix config file loading)
- Pre-create logfile with correct permissions
- Clean up the top of spec file
- Clean up the useless %%defattr
- Clean up the %%clean section
- imported package urpmi-proxy

